using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Deployment.Application;

namespace CustomerCare3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ApplicationDeployment applicationDeployment =
                ApplicationDeployment.CurrentDeployment;

            if (applicationDeployment.CheckForUpdate())
            {
                applicationDeployment.Update();
                Application.Restart();
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            ApplicationDeployment deployment =
                ApplicationDeployment.CurrentDeployment;

            UpdateCheckInfo updateCheckInfo =
                deployment.CheckForDetailedUpdate();

            if (updateCheckInfo.UpdateAvailable)
            {
                if (MessageBox.Show("An update is available" +
                    System.Environment.NewLine + "Version " +
                    updateCheckInfo.AvailableVersion + " (" +
                    updateCheckInfo.UpdateSizeBytes.ToString() + " bytes)" +
                    System.Environment.NewLine +
                    "Update now ?", "", MessageBoxButtons.YesNo) ==
                    DialogResult.Yes)
                {
                    deployment.Update();
                    Application.Restart();
                }
            }
        }
    }
}